package de.hillenbrand.datatypes;

import javax.swing.SwingUtilities;

/**
 * A cron job that will be executed using SwingUtilities.invokeLater().
 * This makes the cron job UI thread safe.
 * @author hillenbr
 */
public abstract class UICronJob extends CronJob
   {
   @Override
   protected void execute()
	{
	SwingUtilities.invokeLater(this);
	}
   }
