package de.hillenbrand.io;

import de.hillenbrand.system.StreamRedirectionTarget;

public class StringBufferStreamRedirectionTarget implements StreamRedirectionTarget
   {
   final StringBuffer buffer = new StringBuffer();

   public void println(String s)
	{
	buffer.append(s);
	}

   public synchronized String toString()
	{
	return buffer.toString();
	}

   public synchronized int length()
	{
	return buffer.length();
	}

   public synchronized int capacity()
	{
	return buffer.capacity();
	}

   public synchronized void reset()
	{
	buffer.setLength(0);
	}
   }
