/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.hillenbrand.swing;

import java.util.ArrayList;
import java.util.Vector;
import javax.swing.JList;
import javax.swing.ListModel;

public class HList<E> extends JList
   {
   public HList()
	{
	}

   public HList(Vector<E> listData)
	{
	super(listData);
	}

   public HList(E[] listData)
	{
	super(listData);
	}

   public HList(ListModel dataModel)
	{
	super(dataModel);
	}

   public void setSelectedValue(E anObject)
	{
	super.setSelectedValue(anObject, true);
	}

   @SuppressWarnings("unchecked")
   public E getSelectedItem()
	{
	return (E) super.getSelectedValue();
	}

   @SuppressWarnings("unchecked")
   public ArrayList<E> getSelectedItems()
	{
	final ArrayList<E> result = new ArrayList<E>();
	for (Object o : super.getSelectedValues())
	   {
	   result.add((E) o);
	   }

	return result;
	}

   public void setSelectedItems(ArrayList<E> data)
	{
	final ArrayList<Integer> indices = new ArrayList<Integer>();

	for (E current : data)
	   {
	   for (int i = 0; i < getModel().getSize(); ++i)
		{
		if (getModel().getElementAt(i).equals(current))
		   {
		   indices.add(i);
		   }
		}
	   }

	final int[] toSelect = new int[indices.size()];
	for (int i = 0; i < indices.size(); ++i)
	   {
	   toSelect[i] = indices.get(i);
	   }

	setSelectedIndices(toSelect);
	}

   public void setSelectedItems(E[] data)
	{
	final ArrayList<E> list = new ArrayList<E>();
	for (E current : data)
	   {
	   list.add(current);
	   }
	setSelectedItems(list);
	}

   public void selectAll()
	{
	final int size = getModel().getSize();
	final int[] indices = new int[size];
	for (int i = 0; i < size; ++i)
	   {
	   indices[i] = i;
	   }
	setSelectedIndices(indices);
	}
   }
