/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.hillenbrand.swing;

import javax.swing.*;
import java.awt.*;

public class HMenuItem extends JMenuItem {
	private static final boolean DEBUG = false;

	
	public HMenuItem()  {
	}

	public HMenuItem(Action a)  {
		super(a);
	}

	public HMenuItem(Icon i)  {
		super(i);
	}

	public HMenuItem(String text)  {
		super(text);
	}

	public HMenuItem(String text, Icon icon)  {
		super(text, icon);
	}

	public HMenuItem(String text, int mnemonic)  {
		super(text, mnemonic);
	}

	public HMenuItem(String text, Icon icon, Action action)  {
		super(action);
		
		setText(text);
		setIcon(icon);
	}

}
