package de.hillenbrand.swing;

import java.lang.reflect.Method;
import java.security.PrivilegedAction;
import java.util.logging.Level;

public class HPrivilegedAction implements PrivilegedAction<Method>
   {
   private Class clazz;
   private String methodName;
   private Class[] params;

   public HPrivilegedAction(Class clazz, String methodName, Class... params)
	{
	this.clazz = clazz;
	this.methodName = methodName;
	this.params = params;
	}

   public Method run()
	{
	try
	   {
	   @SuppressWarnings(value = "unchecked")
	   final Method method = clazz.getDeclaredMethod(methodName, params);
	   method.setAccessible(true);
	   return method;
	   }
	catch (Exception ex)
	   {
	   java.util.logging.Logger.getLogger(SwingUtils.class.getName()).log(Level.SEVERE, null, ex);
	   return null;
	   }
	}
   }
