package de.hillenbrand.swing.text;

public class HTMLString
   {
   private StringBuffer text;

   /**
    * Creates a new empty HTML string.
    */
   public HTMLString()
	{
	text = new StringBuffer();
	}

   /**
    * Creates a new HTML string.
    * @param html the initial contents
    */
   public HTMLString(String html)
	{
	text = new StringBuffer(html);
	}

   /**
    * Appends a string to the current HTML string.
    * @param s the text top append
    */
   public void append(String s)
	{
	text.append(s);
	}

   /**
    * Sets a new value for the HTML string.
    * @param s the new value
    */
   public void set(String s)
	{
	text = new StringBuffer(s);
	}

   @Override
   public String toString()
	{
	return text.toString();
	}
   }
