package de.hillenbrand.util;

import java.net.*;
import java.util.logging.*;

public class DataTypeConverter
   {
   public static URL toURL(String s)
	{
	try
	   {
	   return new URL(s);
	   }
	catch (MalformedURLException ex)
	   {
	   Logger.getLogger(DataTypeConverter.class.getName()).log(Level.SEVERE, null, ex);
	   return null;
	   }
	}

   public static URI toURI(String s)
	{
	try
	   {
	   return new URI(s);
	   }
	catch (URISyntaxException ex)
	   {
	   Logger.getLogger(DataTypeConverter.class.getName()).log(Level.SEVERE, null, ex);
	   return null;
	   }
	}
   }
